Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
DELETEProject OperationsSince SynchronousAuth Required

RemoveIAM2VirtualIDGroupFromProjects

RemoveIAM2VirtualIDGroupFromProjects

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • projectUuidsList

      Optional. The UUID of the projects.

    • groupUuidsList

      Optional. The group UUIDs.

    • systemTagsList

      Optional. The system tags.

    • userTagsList

      Optional. The user tags.

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/iam2/projects/groups

/zstack/v1/iam2/projects/groups

Operation ID

RemoveIAM2VirtualIDGroupFromProjects

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/iam2/projects/groups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"projectUuids":["<projectUuids>"],"groupUuids":["<groupUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history